# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from _settings import *  # noqa

MIDDLEWARE_CLASSES.extend([
    'cms.middleware.page.CurrentPageMiddleware',
    'cms.middleware.user.CurrentUserMiddleware',
    'cms.middleware.toolbar.ToolbarMiddleware',
    'cms.middleware.language.LanguageCookieMiddleware',
])

INSTALLED_APPS.extend([
    'cms',
    'treebeard',
    'menus',
    'sekizai',
    'djangocms_admin_style',
    'django.contrib.messages',
    'djangocms_text_ckeditor',
    'newsbox_cms',
])

CMS_PLACEHOLDER_CONF = {
    'main': {
        'name': "Main content",
        'plugins': ['NewsPlugin', 'TextPlugin'],
    },
}

CMS_TEMPLATES = (
    ('page.html', 'page'),
)

TEMPLATES[0]['OPTIONS']['context_processors'].extend(['sekizai.context_processors.sekizai',
                                                      'cms.context_processors.cms_settings', ])
